[ANN] Apache Maven Surefire Plugin 3.0.0-M1 Released

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ANN] Apache Maven Surefire Plugin 3.0.0-M1 Released

Tibor Digana
The Apache Maven team is pleased to announce the release of the Apache
Maven Surefire Plugin, version 3.0.0-M1

The release contains 5 bug fixes.
Again we received contributions from the community in form of bug reports
and bug fixes.
Thank you and keep them coming!

http://maven.apache.org/plugins/maven-surefire-plugin/

You should specify the version in your project's plugin configuration:

<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-surefire-plugin</artifactId>
  <version>3.0.0-M1</version>
</plugin>

or for failsafe:

<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-failsafe-plugin</artifactId>
  <version>3.0.0-M1</version>
</plugin>

or for surefire-report:

<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-surefire-report-plugin</artifactId>
  <version>3.0.0-M1</version>
</plugin>


You can download the appropriate sources etc. from the download page:
https://maven.apache.org/surefire/download.cgi

        Release Notes - Maven Surefire - Version 3.0.0-M1

Bug

    [SUREFIRE-1466] - Surefire fails on a dummy:dummy dependency with a
authenticating proxy
    [SUREFIRE-1588] - Surefire manifest jar classloading broken on latest
Debian/Ubuntu Java8

New Feature

    [SUREFIRE-1493] - Maven Plugin API 3.0

Improvement

    [SUREFIRE-1212] - @Component is deprecated. @Parameter should be used
instead.
    [SUREFIRE-1474] - Java 1.7 as minimum

Enjoy,
-The Apache Maven team